# Generated from rubocop-mirego-0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubocop-mirego

Name: rubygem-%{gem_name}
Version: 0.1
Release: 1%{?dist}
Summary: Custom cops for Mirego
License: BSD 3-Clause
URL: https://github.com/mirego/rubocop-mirego
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop-rspec) >= 1.4
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(rubocop-rspec) >= 1.4.1
# BuildRequires: rubygem(phare) >= 0.7
# BuildRequires: rubygem(phare) < 1
BuildArch: noarch

%description
Custom cops for Mirego.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rubocop-mirego.gemspec
%{gem_instdir}/spec

%changelog
* Tue Feb 15 2022 mockbuilder - 0.1-1
- Initial package
